Installing the Generic Service Toolkit

Requirements for installing the toolkit

  1. Maven version 1.0.2 or later

Installing the toolkit

  1. Make sure that your JAVA_HOME variable is set to java version 1.5 or later
  2. Make sure that your MAVEN_HOME variable is set to your maven installation and that $MAVEN_HOME/bin is in your path
  3. Compile by typing "maven"

Requirements for installing the toolkit into a JSR_168 compliant portal

  1. Maven version 1.0.2 or later

Installing the toolkit into a JSR_168 compliant portal

  1. Make sure that your JAVA_HOME variable is set to java version 1.5 or later
  2. Make sure that your MAVEN_HOME variable is set to your maven installation and that $MAVEN_HOME/bin is in your path
  3. To build a war file, just type "maven build". A war file will be created in target/gFac.war
  4. Follow your portal's instructions to install the war file.

Requirements for installing the toolkit into the LEAD portal

  1. Maven version 1.0.2 with a plugin for creating portlets for Gridsphere. Please read Marcus Christie's page on this.

Installing the toolkit into the LEAD portal

  1. Make sure that your JAVA_HOME variable is set to java version 1.5 or later
  2. Make sure that your MAVEN_HOME variable is set to your maven installation and that $MAVEN_HOME/bin is in your path
  3. To build a war file, just type "maven build". A war file will be created in target/gFac.war
  4. Follow your portal's instructions to install the war file.

[ << ] [ < ] [ Home ] [ > ] [ >> ]